Bug 138812 - Black screen in place of graphical installation
Black screen in place of graphical installation
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 06:20 EST by Bastien Nocera
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 14:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (5.63 KB, text/plain)
2004-11-11 06:21 EST, Bastien Nocera
no flags Details
XConfig.test (3.47 KB, text/plain)
2004-11-11 06:21 EST, Bastien Nocera
no flags Details
X.log (34.02 KB, text/plain)
2004-11-11 06:22 EST, Bastien Nocera
no flags Details
Xorg.0.log (37.00 KB, text/plain)
2004-11-11 06:24 EST, Bastien Nocera
no flags Details
xorg log for ATI X800 XT and NEC 1770NX using DVI cable. (51.79 KB, text/x-log)
2005-12-08 19:59 EST, Joe Smith
no flags Details
anaconda log for FC4 i386 install with ATI X800 XT, NEC 1770NX and DVI cable. (14.18 KB, text/x-log)
2005-12-08 20:03 EST, Joe Smith
no flags Details
working xorg.conf for FC3/4 and ATI X800 XT, NEC 1770NX and DVI. (2.64 KB, application/octet-stream)
2005-12-08 20:04 EST, Joe Smith
no flags Details

  None (edit)
Description Bastien Nocera 2004-11-11 06:20:07 EST
FC3's graphical installation doesn't work on my desktop machine.
The video card is a Radeon 9000 (RV250) connected to an LCD screen via
the DVI-I out. Anaconda logs attached below. Once installed, X works
without any problems.
Comment 1 Bastien Nocera 2004-11-11 06:21:08 EST
Created attachment 106487 [details]
anaconda.log
Comment 2 Bastien Nocera 2004-11-11 06:21:48 EST
Created attachment 106488 [details]
XConfig.test
Comment 3 Bastien Nocera 2004-11-11 06:22:19 EST
Created attachment 106489 [details]
X.log
Comment 4 Bastien Nocera 2004-11-11 06:24:15 EST
Created attachment 106490 [details]
Xorg.0.log

log file from running X once installed
Comment 5 Paul Nasrat 2004-11-11 16:39:48 EST
Does installing passing the argument nofb work any better?
Comment 6 Pavel Polischouk 2004-11-23 14:30:37 EST
Same problem here, Dell Latitude D600 notebook, radeon 9000.

I diagnosed the problem further and was able to install FC3 on it.
The workaround is to attach "normal" CRT monitor to the card, and it
shows the installation properly.
Somehow Anaconda mis-configures the Radeon to disable the LCD panel
output (built-in notebook panel in my case).

The card was only working with an external monitor after the first
re-boot as well, and started to work properly after I re-configured X
and set up monitor as Dell LCD panel.
Comment 7 ambroz 2005-04-10 03:35:54 EDT
Same problem, I use radeon x800xt graphics card, it doesn'w work with DVI cable 
and not with analog cable. But in my case it happens after I install fedora in 
text mode too, just the time the system is to enter graphical mode. Booting with 
'linux nofb' doesn't help.
Comment 8 Paul Nasrat 2005-09-26 17:59:02 EDT
Does FC4 handle this any better?
Comment 9 Joe Smith 2005-12-08 19:54:16 EST
(In reply to comment #8)
> Does FC4 handle this any better?

No, FC4 still has this problem.

I'm using a Sapphire X800 XT (R420) AGP graphics card connected to a NEC
MultiSync 1770NX monitor (which is very similar to the 1760NX) using a DVI cable.

If I try to install the i386 version, anaconda detects the monitor correctly,
the video card as 'unknown' and no xorg.conf is not created at the end of
installation.

As anaconda assumes the install is 'headless', it proceeds in text mode and
after installation, the machine boots in runlevel 3.

Configuring an xorg.conf file by hand is quite difficult for me as I'm a newbie,
but 'xorg -configure' doesn't work (it doesn't detect the PS/2 mouse and uses
the 'ati' driver instead of 'radeon') and 'system-config-display --reconfig'
crashes with a 'hardware_state not defined' message. (Also, kudzu detects the
X800 XT on boot, but segfaults trying to configure it - I forget which line it
segfaulted on).

If I try to install the x86_64 version, the video card is detected as 'vesa' but
the monitor is 'unknown'. The screen then stays blank. I can only install if i
use the 'text' option so that text mode is used.

During installation, if I select the 'Personal Desktop/Workstation' installation
profile, the machine will try to boot to runlevel 5 and I'll get a blank screen.
So I have to choose text mode installation and a 'Custom' installation and at
the end of installation, the machine will boot to runlevel 3.

However, the x86_64 installation does create an xorg.conf (which doesn't work,
thus the blank screen) but can be fixed.

I corrected the xorg.conf created by the X86_64 installation by using the
information in /usr/share/hwdata (Cards, MonitorsDB) and I now have an xorg.conf
that works great with either installation (i386, x86_64).

This hardware setup used to work fine with FC2 and only started happening since
FC3. It also occurs on CentOS 4.x.

However, if I swap the graphics card out for a Nvidia one (tested with a Quadro
980XGL and 7800 GTX), the graphical installation proceeds as normal for both
versions of FC4 ( I didn't try FC3, but I reckon it will work). This works
whatever cable is used (DSUB, DVI) or monitor (TFT, CRT).

Using an analog cable with the NEC monitor (or even a CRT) didn't work for me
(anaconda detects the monitor correctly but not the graphics card, or the other
way around depending on whether it's i386 or x86_64)

(I will try to create attachments of my Xorg.0.log and xorg.conf)
Comment 10 Joe Smith 2005-12-08 19:58:17 EST
(In reply to comment #9)
> (In reply to comment #8)
> > Does FC4 handle this any better?
> 
> No, FC4 still has this problem.

I forgot to add, I did try using options such as skipddc, nofb, resolution,
noprobe, noacpi in every combination/permutation I could think of, but none of
them worked. Also text mode installation has a few issues, but that's not
relevant for this bug.
Comment 11 Joe Smith 2005-12-08 19:59:52 EST
Created attachment 122050 [details]
xorg log for ATI X800 XT and NEC 1770NX using DVI cable.
Comment 12 Joe Smith 2005-12-08 20:03:47 EST
Created attachment 122051 [details]
anaconda log for FC4 i386 install with ATI X800 XT, NEC 1770NX and DVI cable.
Comment 13 Joe Smith 2005-12-08 20:04:55 EST
Created attachment 122052 [details]
working xorg.conf for FC3/4 and ATI X800 XT, NEC 1770NX and DVI.
Comment 14 Bastien Nocera 2005-12-09 06:38:32 EST
I still have the problem with FC5 Test1. The installer tries to use 800x600,
which doesn't work with this setup. The LCD/video card setup doesn't work with
800x600, only the native resolution of the LCD, 1024x768.
Comment 15 Paul Nasrat 2005-12-09 09:27:03 EST
Bastien,

Does booting anaconda with resolution=1024x768 work?
Comment 16 Matthew Miller 2006-07-10 17:33:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 17 Paul Nasrat 2006-08-14 14:33:39 EDT
The way x configuration works has been completely revamped for FC6, please
retest with the latest version and reopen.

Note You need to log in before you can comment on or make changes to this bug.